Intervals Developers
API Reference
Sign inGet API key
IntroductionAuthenticationErrorsPaginationRate LimitsIdempotency

Endpoints

GETYour organizationGETAll eventsGETRetrieve an eventPOSTCreate an eventGETAll registrationsPOSTRegister a participantGETAll recurrencesGETAll collectionsGETRetrieve a collectionGETEvents in a collection
Changelog
Sign inGet API key

Endpoints

All registrations

Retrieve a list of registrations for a specific event.

GET/registration
curl -H "Authorization: Bearer INTERVALS_PARTNER_API_KEY" \
  https://api.intervals.run/registration?eventId=e72tuv901wxy234

Query Parameters

eventIdstringrequired

Filter by event ID (required)

limitnumberrequired

Items per page (1-100, default 50).

afterstring

Opaque cursor from a previous response's `cursor` field; returns the next page.

Authorization

read:participants

Response

idstringrequired

Registration ID

eventIdstringrequired

Event ID

eventRunIdstringrequired

Event run ID

emailstringrequired

Participant email

namestring

Participant name

registrationTypeenum<string>required

Registration type

Available options: free,paid

registrationStatusenum<string>required

Lifecycle status: confirmed | cancelled | waitlist | refunded.

Available options: confirmed,cancelled,waitlist,refunded

participantStatusenum<string>

Performance state: registered | checked_in | started | finished | dnf | …

Available options: registered,checked_in,started,finished,dnf,dns,disqualified

paceGroupstring

Pace group assignment

bibIdentifierstring

Bib number

checkedInboolean

Whether participant has checked in

{
  "data": [
    {
      "id": "p89xyz345uvw678",
      "eventId": "e72tuv901wxy234",
      "eventRunId": "r41abc567def890",
      "email": "runner@example.com",
      "name": "Alex Johnson",
      "registrationType": "free",
      "registrationStatus": "confirmed",
      "participantStatus": "checked_in",
      "checkedIn": true
    }
  ],
  "hasMore": false
}

What you can build

Create an eventRegister a participant

Request

curl -H "Authorization: Bearer INTERVALS_PARTNER_API_KEY" \
  https://api.intervals.run/registration?eventId=e72tuv901wxy234

Response

{
  "data": [
    {
      "id": "p89xyz345uvw678",
      "eventId": "e72tuv901wxy234",
      "eventRunId": "r41abc567def890",
      "email": "runner@example.com",
      "name": "Alex Johnson",
      "registrationType": "free",
      "registrationStatus": "confirmed",
      "participantStatus": "checked_in",
      "checkedIn": true
    }
  ],
  "hasMore": false
}